package eu.telecomnancy;

import org.junit.Test;
import static org.junit.Assert.*;

public class StudentTest{

	@Test
	public void testgetName(){
		Student s = new Student("CHAZÉ Océane",1);
		String name = "CHAZÉ Océane";
		assertEquals(s.getName(), name);
	}

	@Test
	public void testsetName(){
		Student s = new Student("CHAZÉ Océane",1);
		s.setName("PHONCHAREUN Ophélie");
		String name = "PHONCHAREUN Ophélie";
		assertEquals(s.getName(), name);
	}

	@Test
	public void testgetId(){
		Student s = new Student("CHAZÉ Océane",1);
		int id = 1;
		assertEquals(s.getId(),id);

	}

	@Test
	public void testsetId(){
		Student s = new Student("CHAZÉ Océane",1);
		s.setId(2);
		int id = 2;
		assertEquals(s.getId(),id);
	}

	@Test
	public void testToString(){
		Student s = new Student("CHAZÉ Océane",1);
		String str = "L'étudiant s'appelle CHAZÉ Océane et a pour identifiant 1.";
		assertEquals(s.toString(),str);

	}

	@Test
	public void testequals(){
		Student s1 = new Student("CHAZÉ Océane",1);
		Student s2 = new Student("CHAZÉ Océane",1);
		Student s3 = new Student("PHONCHAREUN Ophélie",1);
		assertTrue(s1.equals(s2));
		assertFalse(s1.equals(s3));
	}
}

//java -jar "junit-platform-console-standalone-1.4.0.jar" -cp "test:src:ojdbc8-12.2.0.1.jar" --select-package=entities --select-package=repositories